<bugID>761990<Summary>On Windows the "Feedback" button's dropdown arrow overlaps the label</Summary><Description>Created attachment 630509
Screenshot of the "Feedback" button.

Mozilla/5.0 (Windows NT 5.1; rv:14.0) Gecko/20100101 Firefox/14.0

On Firefox 14 beta 6 the down arrow of the feedback button overlaps over the text. Also the button doesn't get highlighted when hovering the mouse over it.
The "Feedback" button is not properly displayed on Windows only. Looks fine on Mac and Ubuntu.</Description></bugID>